nautilus crashed with SIGSEGV in g_type_check_instance_is_a()

Bug #1430093 reported by Cristian Aravena Romero on 2015-03-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Nautilus
Fix Released
High
nautilus (Ubuntu)
High
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[Impact]

nautilus sometime segfaults when closing windows with several tabs open

[Test Case]

check https://errors.ubuntu.com/problem/a69a395811666090e103b1a48890e12ef0b433b5

or

try closing nautilus windows with several tabs open, that shouldn't lead to a segfault

[Regression Potential]

check for issues on closing and with multiple tabs

ProblemType: Crash
DistroRelease: Ubuntu 15.04
Package: nautilus 1:3.14.2-0ubuntu4
Uname: Linux 4.0.0-040000rc3-generic x86_64
ApportVersion: 2.16.2-0ubuntu2
Architecture: amd64
CrashCounter: 1
CurrentDesktop: GNOME
Date: Mon Mar 9 22:14:31 2015
ExecutablePath: /usr/bin/nautilus
GsettingsChanges: b'org.gnome.nautilus.list-view' b'default-column-order' b"['name', 'size', 'type', 'date_modified', 'date_accessed', 'owner', 'group', 'permissions', 'mime_type', 'where']"
InstallationDate: Installed on 2014-09-25 (166 days ago)
InstallationMedia: Ubuntu-GNOME 14.10 "Utopic Unicorn" - Alpha amd64 (20140923)
ProcCmdline: nautilus -n
SegvAnalysis:
 Segfault happened at: 0x7f2392b94f1f <g_type_check_instance_is_a+63>: testb $0x4,0x16(%rax)
 PC (0x7f2392b94f1f) ok
 source "$0x4" ok
 destination "0x16(%rax)" (0xe83f8b48fb894866) not located in a known VMA region (needed writable region)!
SegvReason: writing unknown VMA
Signal: 11
SourcePackage: nautilus
StacktraceTop:
 g_type_check_instance_is_a () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 ?? ()
 ?? ()
 g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
Title: nautilus crashed with SIGSEGV in g_type_check_instance_is_a()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip libvirtd lpadmin plugdev sambashare sudo

StacktraceTop:
 g_type_check_instance_is_a (type_instance=type_instance@entry=0xd1f3f0, iface_type=<optimized out>) at /build/buildd/glib2.0-2.43.91/./gobject/gtype.c:4016
 nautilus_window_sync_location_widgets (window=window@entry=0x122a490) at nautilus-window.c:1029
 real_active (slot=0xf22c10) at nautilus-window-slot.c:572
 g_closure_invoke (closure=0xe7fe70, return_value=0x0, n_param_values=1, param_values=0x7ffcf2764670, invocation_hint=0x7ffcf2764610) at /build/buildd/glib2.0-2.43.91/./gobject/gclosure.c:768
 signal_emit_unlocked_R (node=node@entry=0xf2b460, detail=detail@entry=0, instance=instance@entry=0xf22c10, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ffcf2764670) at /build/buildd/glib2.0-2.43.91/./gobject/gsignal.c:3587

Changed in nautilus (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
information type: Private → Public
Changed in nautilus:
importance: Unknown → Critical
status: Unknown → Confirmed
Sebastien Bacher (seb128) wrote :
Changed in nautilus (Ubuntu):
status: New → Triaged
importance: Medium → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.14.2-0ubuntu8

---------------
nautilus (1:3.14.2-0ubuntu8) vivid; urgency=medium

  * debian/patches/git_revert_location_entry.patch,
    debian/patches/git_slot_order.patch:
    - don't segfault when closing windows with several tabs (lp: #1430093)
 -- Sebastien Bacher <email address hidden> Wed, 01 Apr 2015 12:08:01 +0200

Changed in nautilus (Ubuntu):
status: Triaged → Fix Released
Changed in nautilus:
status: Confirmed → Invalid

Hello Cristian, or anyone else affected,

Accepted nautilus into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nautilus/1:3.10.1-0ubuntu9.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nautilus (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Chris J Arges (arges) wrote :

Does this also need to be fixed in Utopic?

Changed in nautilus:
importance: Critical → High
status: Invalid → Fix Released
Sebastien Bacher (seb128) wrote :

@Chris, we could, but utopic is going to be non-current-stable this month and is not a LTS, I don't fancy much spending SRU work on it now

Mathew Hodson (mathew-hodson) wrote :

I don't see this crash when running the test case on 1:3.10.1-0ubuntu9.8 from trusty-proposed.

tags: added: verification-done
removed: verification-needed
description: updated

The verification of the Stable Release Update for nautilus has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.10.1-0ubuntu9.8

---------------
nautilus (1:3.10.1-0ubuntu9.8) trusty; urgency=medium

  * debian/patches/git_slot_order.patch:
    - don't segfault when closing windows with several tabs (lp: #1430093)
 -- Sebastien Bacher <email address hidden> Wed, 01 Apr 2015 12:42:21 +0200

Changed in nautilus (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.